org.eclipse.emf.facet.util.core

## Class DebugUtils

- java.lang.Object
- - org.eclipse.emf.facet.util.core.DebugUtils

    public final class DebugUtils
    extends java.lang.Object

Since:
  0.2

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `debug(boolean condition)`
`static void` `debug(boolean condition, java.lang.String message)`
`static void` `debug(boolean condition, java.lang.String messageTemplate, java.lang.Object... args)`
`static void` `debug(int stackOffset, java.lang.String messageTemplate, java.lang.Object... args)`
`static void` `debug(java.lang.String message)`
`static void` `debug(java.lang.String message, int stackOffset)`
`static void` `debug(java.lang.String messageTemplate, java.lang.Object... args)`
`static java.lang.String` `getCallerLocation(int stackOffset)` This methods returns the qualified name of the calling method.
`static boolean` `getDebugStatus(Plugin plugin)`
`static boolean` `getDebugStatus(Plugin plugin, java.lang.String suboption)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### debug

    public static void debug(boolean condition)

#### debug

    public static void debug(boolean condition,
                             java.lang.String message)

#### debug

    public static void debug(boolean condition,
                             java.lang.String messageTemplate,
                             java.lang.Object... args)

Parameters:
  `messageTemplate` - A format string (cf. java.util.Formatter)
  `args` - Arguments referenced by messageTemplates
Since:
  1.1

#### getCallerLocation

    public static java.lang.String getCallerLocation(int stackOffset)

This methods returns the qualified name of the calling method.

Parameters:
  `stackOffset` -
Returns:

#### getDebugStatus

    public static boolean getDebugStatus(Plugin plugin)

#### getDebugStatus

    public static boolean getDebugStatus(Plugin plugin,
                                         java.lang.String suboption)

#### debug

    public static void debug(java.lang.String message)

#### debug

    public static void debug(java.lang.String messageTemplate,
                             java.lang.Object... args)

Parameters:
  `messageTemplate` - A format string (cf. java.util.Formatter)
  `args` - Arguments referenced by messageTemplates
Since:
  1.1

#### debug

    public static void debug(java.lang.String message,
                             int stackOffset)

#### debug

    public static void debug(int stackOffset,
                             java.lang.String messageTemplate,
                             java.lang.Object... args)

Parameters:
  `messageTemplate` - A format string (cf. java.util.Formatter)
  `args` - Arguments referenced by messageTemplates
Since:
  1.1